Last Comment Bug 743575 - Console should display line number for warning messages
: Console should display line number for warning messages
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla14
Assigned To: Masatoshi Kimura [:emk]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-08 11:00 PDT by Masatoshi Kimura [:emk]
Modified: 2012-04-14 06:45 PDT (History)
3 users (show)
bzbarsky: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Try to get line number if at all possible (1.21 KB, patch)
2012-04-08 11:01 PDT, Masatoshi Kimura [:emk]
no flags Details | Diff | Review
Try to get line number if at all possible, v2 (2.67 KB, patch)
2012-04-08 16:04 PDT, Masatoshi Kimura [:emk]
mrbkap: review+
Details | Diff | Review

Description Masatoshi Kimura [:emk] 2012-04-08 11:00:40 PDT

    
Comment 1 Masatoshi Kimura [:emk] 2012-04-08 11:01:56 PDT
Created attachment 613192 [details] [diff] [review]
Try to get line number if at all possible
Comment 2 Masatoshi Kimura [:emk] 2012-04-08 16:04:02 PDT
Created attachment 613203 [details] [diff] [review]
Try to get line number if at all possible, v2

Fixed a test failure.
Although the line number is not correct, it is an existing bug. For example,
---
<!DOCTYPE html>
<meta charset=windows-1252>
<title>Non-UTF form</title>
<body onload="throw new Error()">
---
Also reports the line number is 1.
Comment 3 Masatoshi Kimura [:emk] 2012-04-08 22:35:10 PDT
https://tbpl.mozilla.org/?tree=Try&rev=3a975e00d93d
Comment 4 Jonas Sicking (:sicking) PTO Until July 5th 2012-04-09 15:31:23 PDT
Comment on attachment 613203 [details] [diff] [review]
Try to get line number if at all possible, v2

I'm not a good person to review this. Maybe Blake?
Comment 5 Blake Kaplan (:mrbkap) (please use needinfo!) 2012-04-13 02:35:56 PDT
Comment on attachment 613203 [details] [diff] [review]
Try to get line number if at all possible, v2

I think this is right. I'm a little worried that we call ReportToConsole with a URI that's unrelated to the caller, but I couldn't find any examples of that in the tree. r=mrbkap
Comment 6 Boris Zbarsky [:bz] (Out June 25-July 6) 2012-04-13 10:58:20 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/11cf97fceacd
Comment 7 Marco Bonardo [::mak] 2012-04-14 06:45:17 PDT
https://hg.mozilla.org/mozilla-central/rev/11cf97fceacd

Note You need to log in before you can comment on or make changes to this bug.